#ifndef PO_ADDRESS_H_
#define PO_ADDRESS_H_
#include<Packable.h>
#include<POTypes.h>
#include <iostream>
using namespace std;

class PEXPR_API POAddress : impliments Packable
{
    public:
        POAddress( const string& po = "undefined", const string& box ="undefined" );
        POAddress( const POAddress& cpy );
        virtual ~POAddress(){};
	void debug(){cout << "PO = " << m_po.val() << endl; cout << "BOX = " << m_box.val() << endl;};
        
        string getPO()const { return m_po.val();  }
        string getBox()const{ return m_box.val(); }
        string toString()const { return m_po.val() + '.' + m_box.val(); }
       
        int packsize()const;
        int pack( char* buf )const;
        int unpack( char* buf );

    private:
        POString m_po;
        POString m_box;
};

bool PEXPR_API operator==( const POAddress& a, const POAddress& b );
bool PEXPR_API operator!=( const POAddress& a, const POAddress& b );

#endif
